'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const testThrowSync = (fn, message) => {
  try {
    fn();
  } catch (e) {
    if (e.message !== message)
      throw e;
    return;
  }
  throw new Error('Test failed to throw');
};
const testThrowAsync = async (fn, message) => {
  try {
    await fn();
  } catch (e) {
    if (e.message !== message)
      throw e;
    return;
  }
  throw new Error('Test failed to throw');
};

exports.testThrowAsync = testThrowAsync;
exports.testThrowSync = testThrowSync;
